Subject: AW: [Enum] NAPTR RS sub-field field and why it's there

From: Brandner Rudolf <[email-masked]>
Date: Thu, 21 Feb 2002 15:21:26 +0100

> 
> On Thu, Feb 21, 2002 at 12:03:21PM +0000, Lawrence Conroy wrote:
> > Hi Folks,
> >    I am looking at the contents of the NAPTR fields and how 
> they might
> > be used in an implementation. When the user "fires up" the ENUM
> > program, passing it an E.164 number, it's pretty obvious 
> that it wants
> > the program to accept an E.164 number and return a URI (or 
> URIs) - that's
> > what the program does, extracting information from the DNS 
> as needed.
> > 
> > Thus it seems to me that the RS part of the Services field 
> in a NAPTR only
> > confirms that this record is intended for use in a program 
> that accepts
> > E.164 numbers and returns a URI (in short, ENUM). It can be 
> used internally
> > by the ENUM application to drop any NAPTR record it 
> retrieves that has 
> > another
> > RS value, but there's no earthly reason to pass it back up 
> to the user.
> > 
> > Is this correct, or am I missing something?
> 
> I think you would be correct if we kept the Services field as 
> is, e.g. 'E2U'.
> But there is some desire among some definition of majority that ENUM's
> Service definition is to flat. Thus you could start seeing 
> Services that,
> while still discussing the fact that the input is E.164 and the output
> is a URI, denote that the Service in question is for Voice 
> Mail while this
> other one is for a Voice Call, and that this other one is for 
> a Fax Call.
> The other change is that the relationship between the protocol in the
> Service field and the URI scheme also needs work. For example, the 
> protocol could be 'smtp' while the URI scheme was 'mailto'. Or the
> protocol might be 'apex' and the URI scheme would be 'im'.
> 
> So, you are correct but possibly only for now. So if I were designing
> an API I would plan for this possibility.
> 
> -MM
> 

What about dropping the E2U in the Service Field?
Example: "sip" instead of "sip+E2U" or
         "mailto" instead of "mailto+E2U" etc.

I understand that there are potential different services the retrieved NAPTR is for, but isn't the E2U just redundant because the application just used ENUM (the E2U service) to retrieve that said NAPTR?

Rudi

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum